Receiving an error "ERR_SSL_VERSION_OR_CIPHER_MISMATCH" when accessing my website

This site can’t provide a secure connection

www.yourdomain uses an unsupported protocol.

ERR_SSL_VERSION_OR_CIPHER_MISMATCH

 

This error occurs for sites which use the Cloudflare Proxy service but have not been issued a SSL certificate.
Sites preivously added to Cloudflare did not automatically receive an SSL certificate

To rectify the error, you will need to remove your site from Cloudflare and then re-add
A new SSL certificate will be issued by Cloudflare, but may take up to 24 hours to be
fully implemented. 

If you require further assistance with this error please contact our support team. 

 

Was this answer helpful?

 Print this Article

Also Read

How do I change my PHP version?

We run PHP 5.6 on all of our Web and Reseller hosting servers by default. PHP 5.4 and older...

I am receiving a high amount of SPAM emails

We offer all Web Hosting, Email Hosting and Reseller Hosting customers a server level spam filter...

Where do I upload my website?

All clients are able to upload their website files via "File Manager' in cPanel, or directly via...

How can I track how many visitors my website gets?

All Netorigin Web Hosting and Reseller Hosting plans come with AWStats. AWStats is a user...

Where do I login to my cPanel account?

We offer multiple ways for you to access your cPanel account. You can access cPanel from the...

Powered by WHMCompleteSolution